package com.pcloud.book.advertising.biz;

import com.pcloud.book.advertising.entity.AdvertisingBmOption;
import com.pcloud.book.advertising.entity.AdvertisingCpaPaySetting;
import com.pcloud.common.page.PageBeanNew;
import java.util.List;

/**
 * (AdvertisingCpaPaySetting)表服务接口
 *
 * @author makejava
 * @since 2022-11-25 14:20:46
 */
public interface AdvertisingCpaPaySettingBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    AdvertisingCpaPaySetting getById(Long id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param advertisingCpaPaySetting 实例对象
     * @return 主键
     */
    Long insert(AdvertisingCpaPaySetting advertisingCpaPaySetting);

    /**
     * 修改数据
     *
     * @param advertisingCpaPaySetting 实例对象
     */
    void update(AdvertisingCpaPaySetting advertisingCpaPaySetting);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Long id);

    void savePaySettingList(List<AdvertisingCpaPaySetting> advertisingCpaPaySettingList, Long cpaId, Integer paySetting);

    List<AdvertisingCpaPaySetting> getByCpaId(Long cpaId, List<AdvertisingBmOption> bmOptionList);

    List<AdvertisingCpaPaySetting> cpaPaySetting4WechatListHandler(List<AdvertisingCpaPaySetting> cpaPaySettingList, Integer isWechatUser);
}
